Join us at MongoDB.local London on 7 May to unlock new possibilities for your data. Use WEB50 to save 50%.
Register now >
Docs Menu
Docs Home
/ /

Obten la configuración de automatización (Información sensible redactada)

Un proyecto La configuración de automatización determina el estado objetivo de sus procesos y agentes MongoDB. El agente MongoDB crea la implementación según los objetivos especificados.

Importante

La configuración de automatización de un proyecto puede contener información confidencial, como contraseñas o valores clave. Este recurso obtiene la configuración de automatización con información sensible redactada. Para obtener la configuración de automatización no redactada, utiliza el identificador de punto final /groups/{PROJECT-ID}/automationConfig.

Este recurso requiere el Project Automation Admin role.

URL base: https://cloud.mongodb.com/api/public/v1.0

GET /groups/{PROJECT-ID}/automationConfig/noSecrets
Nombre
Tipo
Necesidad
Descripción

PROJECT-ID

string

Requerido

Identificador único del grupo que posee la configuración de automatización.

Los siguientes parámetros de query son opcionales:

Nombre
Tipo
Necesidad
Descripción
predeterminado

bonito

booleano

Opcional

false

envelope

booleano

Opcional

Bandera que indica si se debe o no envolver la respuesta en un sobre.

Algunos Los clientes de laAPI no pueden acceder a los encabezados de respuesta HTTP ni al código de estado. Para solucionar esto, configure envelope=true en la consulta.

Para los endpoints que devuelven un resultado, el cuerpo de la respuesta incluye:

Nombre
Descripción

status

Código de respuesta HTTP

content

Cuerpo de respuesta esperado

false

Este endpoint no utiliza parámetros de cuerpo de solicitud HTTP.

Para revisar estos parámetros, consulta los Parámetros de Configuración de Automatización.

curl --user "{publicApiKey}:{privateApiKey}" --digest \
--header "Accept: application/json" \
--include \
--request GET "https://cloud.mongodb.com/api/public/v1.0/groups/{PROJECT-ID}/automationConfig/noSecrets?pretty=true" \
--output currentAutomationConfigRedacted.json
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}

El siguiente ejemplo de cuerpo de respuesta muestra una configuración de automatización con la información confidencial censurada. El punto final /groups/{PROJECT-ID}/automationConfig/noSecrets devuelve texto censurado con el valor del campo confidencial reemplazado por la cadena <redacted>:

1{
2 "backupVersions": [
3 {
4 "hostname": "test-2.aabc.3172.mongodbdns.com"
5 }
6 ],
7 "mongoDbVersions": [
8 {
9 "name": "4.4.0"
10 }
11 ],
12 "monitoringVersions": [
13 {
14 "hostname": "test-2.aabc.3172.mongodbdns.com"
15 }
16 ],
17 "options": {
18 "downloadBase": "/var/lib/mongodb-mms-automation",
19 "downloadBaseWindows": "%SystemDrive%\\MMSAutomation\\versions"
20 },
21 "processes": [
22 {
23 "args2_6": {
24 "net": {
25 "port": 27017
26 },
27 "operationProfiling": {},
28 "replication": {
29 "replSetName": "replSet1"
30 },
31 "storage": {
32 "dbPath": "/data/replSet1_10"
33 },
34 "systemLog": {
35 "destination": "file",
36 "path": "/data/replSet1_10/mongodb.log"
37 }
38 },
39 "hostname": "test-2.aabc.3172.mongodbdns.com",
40 "logRotate": {
41 "sizeThresholdMB": 1000,
42 "timeThresholdHrs": 24
43 },
44 "auditLogRotate": {
45 "sizeThresholdMB": 1000,
46 "timeThresholdHrs": 24
47 },
48 "name": "replSet1_10",
49 "directAttachVerificationKey": "<redacted>",
50 "processType": "mongod",
51 "version": "4.4.0",
52 "authSchemaVersion": 5,
53 "featureCompatibilityVersion": "4.2"
54 },
55 {
56 "args2_6": {
57 "net": {
58 "port": 27017
59 },
60 "operationProfiling": {},
61 "replication": {
62 "replSetName": "replSet1"
63 },
64 "storage": {
65 "dbPath": "/data/replSet1_11"
66 },
67 "systemLog": {
68 "destination": "file",
69 "path": "/data/replSet1_11/mongodb.log"
70 }
71 },
72 "hostname": "test-1.aabc.3172.mongodbdns.com",
73 "logRotate": {
74 "sizeThresholdMB": 1000,
75 "timeThresholdHrs": 24
76 },
77 "auditLogRotate": {
78 "sizeThresholdMB": 1000,
79 "timeThresholdHrs": 24
80 },
81 "name": "replSet1_11",
82 "directAttachVerificationKey": "<redacted>",
83 "processType": "mongod",
84 "version": "4.4.0",
85 "authSchemaVersion": 5,
86 "featureCompatibilityVersion": "4.2"
87 },
88 {
89 "args2_6": {
90 "net": {
91 "port": 27017
92 },
93 "operationProfiling": {},
94 "replication": {
95 "replSetName": "replSet1"
96 },
97 "storage": {
98 "dbPath": "/data/replSet1_12"
99 },
100 "systemLog": {
101 "destination": "file",
102 "path": "/data/replSet1_12/mongodb.log"
103 }
104 },
105 "hostname": "test-0.aabc.3172.mongodbdns.com",
106 "logRotate": {
107 "sizeThresholdMB": 1000,
108 "timeThresholdHrs": 24
109 },
110 "auditLogRotate": {
111 "sizeThresholdMB": 1000,
112 "timeThresholdHrs": 24
113 },
114 "name": "replSet1_12",
115 "directAttachVerificationKey": "<redacted>",
116 "processType": "mongod",
117 "version": "4.4.0",
118 "authSchemaVersion": 5,
119 "featureCompatibilityVersion": "4.2"
120 },
121 {
122 "args2_6": {
123 "net": {
124 "port": 27018
125 },
126 "operationProfiling": {},
127 "replication": {
128 "replSetName": "replSet1"
129 },
130 "storage": {
131 "dbPath": "/data/replSet1_13"
132 },
133 "systemLog": {
134 "destination": "file",
135 "path": "/data/replSet1_13/mongodb.log"
136 }
137 },
138 "hostname": "test-2.aabc.3172.mongodbdns.com",
139 "logRotate": {
140 "sizeThresholdMB": 1000,
141 "timeThresholdHrs": 24
142 },
143 "auditLogRotate": {
144 "sizeThresholdMB": 1000,
145 "timeThresholdHrs": 24
146 },
147 "name": "replSet1_13",
148 "directAttachVerificationKey": "<redacted>",
149 "processType": "mongod",
150 "version": "4.4.0",
151 "authSchemaVersion": 5,
152 "featureCompatibilityVersion": "4.2"
153 }
154 ],
155 "replicaSets": [
156 {
157 "_id": "replSet1",
158 "protocolVersion": "1",
159 "members": [
160 {
161 "_id": 0,
162 "arbiterOnly": false,
163 "hidden": true,
164 "host": "replSet1_10",
165 "priority": 0.0,
166 "secondaryDelaySecs": 200,
167 "votes": 0
168 },
169 {
170 "_id": 1,
171 "arbiterOnly": false,
172 "hidden": false,
173 "host": "replSet1_11",
174 "priority": 1.0,
175 "secondaryDelaySecs": 0,
176 "votes": 1
177 },
178 {
179 "_id": 2,
180 "arbiterOnly": false,
181 "hidden": false,
182 "host": "replSet1_12",
183 "priority": 1.0,
184 "secondaryDelaySecs": 0,
185 "votes": 1
186 },
187 {
188 "_id": 3,
189 "arbiterOnly": true,
190 "hidden": false,
191 "host": "replSet1_13",
192 "priority": 0.0,
193 "secondaryDelaySecs": 0,
194 "votes": 1
195 }
196 ]
197 }
198 ],
199 "roles": [],
200 "sharding": [],
201 "indexConfigs": [
202 {
203 "key": [
204 [
205 "field",
206 "1"
207 ]
208 ],
209 "rsName": "replSet1",
210 "dbName": "db",
211 "collectionName": "collection"
212 }
213 ]
214}

Volver

Obtener la configuración de automatización

En esta página